Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(400)

Unified Diff: tools/xsan_build

Issue 25564003: skia/trunk changes for generic sanitizer gyp flag. (Closed) Base URL: https://skia.googlecode.com/svn/trunk
Patch Set: borenet Created 7 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « tools/asan_build ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/xsan_build
diff --git a/tools/xsan_build b/tools/xsan_build
new file mode 100755
index 0000000000000000000000000000000000000000..f4d82e9b9fdaf537e2737bed0dd6569501d9265b
--- /dev/null
+++ b/tools/xsan_build
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# Build Skia with one of Clang's many sanitizers.
+#
+# $ tools/xsan_build {address,thread,undefined,etc.} [any other flags to pass to make/ninja...]
+#
+# This script assumes the use of Clang >=3.2.
+#
+# For more information, see:
+# http://clang.llvm.org/docs/UsersManual.html#controlling-code-generation
+
+set -e
+
+sanitizer=$1
+shift
+args="$@"
+
+export CC="$(which clang)"
+export CXX="$(which clang++)"
+export LINK="$(which clang)"
+
+if [[ -z "${CC}" ]] || [[ -z "${CXX}" ]] || [[ -z "${LINK}" ]]; then
+ echo "Couldn't find Clang on this machine!"
+ exit 1
+fi
+
+export GYP_DEFINES="skia_sanitizer=$sanitizer ${GYP_DEFINES}"
+
+./gyp_skia
+if [[ $GYP_GENERATORS == "ninja" ]]; then
+ ninja ${args}
+else
+ make ${args}
+fi
« no previous file with comments | « tools/asan_build ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698